subbars {lme4} | R Documentation

## "Sub[stitute] Bars"

### Description

Substitute the '+' function for the '|' function in a mixed-model formula, recursively (hence the argument name `term`). This provides a formula suitable for the current `model.frame` function.

### Usage

      subbars(term)

### Arguments

`term` | a mixed-model formula

### Value

the formula with all | operators replaced by +

### See Also

`formula`, `model.frame`, `model.matrix`.

Other utilities: `findbars`, `nobars`, `mkRespMod`, `mkReTrms`, `nlformula`.

### Examples

    subbars(Reaction ~ Days + (Days|Subject)) ## => Reaction ~ Days + (Days + Subject)

[Package lme4 version 1.1-12 Index]